Subject: Re: bug#20094: cp --dry-run

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 14 Mar 2015 00:58:02 +0800

I am mainly talking about "Where will it copy/move these things anyway? I'd
like to be sure before I commit. From reading the man page I have a good
idea, but I'd like to see what the path names will look like first
without actually doing anything."

And as a bonus: "I'm pretty much sure I can successfully cp/mv entire
complicated tree A onto entire complicated tree B, but it would be great
to know before I get started if deep inside B there is something that
will cause some tiny part of the whole operation to fail."

So no, cp --attributes-only can't help. And yes, indeed I see I am
hoping that these rsync features will get added to cp and mv, and cpio
too. (Or maybe just on the man pages mention: for "--dry-run"
capabilities try rsync -n !.